Websocket Endpoints¶
Websocket API endpoints.
Overview¶
| Method | Endpoint | Description |
|---|---|---|
| GET | /api/v1/schema |
Get Websocket Message |
API Reference¶
Sartiq Backend Server - Websocket 0.1.0¶
websocket¶
GET /api/v1/schema¶
Get Websocket Message
Description
Get WebSocket schema for client codegen.
This endpoint exposes all WebSocket types automatically. Add new message types to WebSocketMessage in websocket_event.py and they will be included without modifying this endpoint.
Responses
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.
Schema of the response body
{
"properties": {
"data": {
"anyOf": [
{
"$ref": "#/components/schemas/GenerationMessage"
},
{
"$ref": "#/components/schemas/ShotMessage"
},
{
"$ref": "#/components/schemas/AuthSuccessMessage"
},
{
"$ref": "#/components/schemas/AuthErrorMessage"
}
],
"title": "Data"
}
},
"type": "object",
"required": [
"data"
],
"title": "WebSocketMessage"
}
Schemas¶
AuthErrorMessage¶
| Name | Type | Description |
|---|---|---|
error |
string | |
type |
string |
AuthSuccessMessage¶
| Name | Type | Description |
|---|---|---|
context |
string | |
organization_id |
||
type |
string | |
user_id |
string |
DefaultShotTypes¶
Type: string
ErrorCategory-Output¶
Type: string
ExternalImagePushPublic¶
| Name | Type | Description |
|---|---|---|
completed_at |
||
created_at |
string(date-time) | |
error_message |
||
id |
string(uuid) | |
integration_id |
string(uuid) | |
push_status |
PushStatus | |
pushed_at |
||
updated_at |
string(date-time) |
GenerationMessage¶
| Name | Type | Description |
|---|---|---|
payload |
GenerationPublic | |
type |
GenerationSocketEventType |
GenerationPublic¶
| Name | Type | Description |
|---|---|---|
autogenerated |
boolean | |
background |
||
batch_size |
integer | |
created_at |
string(date-time) | |
extra_prompt |
||
framing |
||
garment_placement_base_image_media |
||
garment_placement_base_image_url |
||
generated_prompt |
||
generation_strategy |
GenerationStrategy | |
generation_type |
GenerationType | |
generative_models_id |
||
has_product2_lora |
boolean | |
has_product_lora |
boolean | |
has_style_lora |
boolean | |
has_subject_lora |
boolean | |
height |
integer | |
id |
string(uuid) | |
lighting |
||
negative_prompt |
||
organization_id |
||
owner_id |
string(uuid) | |
perspective |
||
pose |
||
predictions |
Array<PredictionPublic> | |
product2_description |
||
product2_id |
||
product2_image_media |
||
product2_image_url |
||
product2_lora_weight |
number | |
product_description |
||
product_id |
||
product_image_media |
||
product_image_url |
||
product_lora_weight |
number | |
reference_images_media |
||
reference_images_paths |
Array<string> | |
refine |
boolean | |
revised |
boolean | |
scale_factor |
||
seed |
integer | |
shooting_look_id |
||
shot_id |
||
shot_type_id |
||
shot_type_string |
||
status |
GenerationStatus | |
steps |
integer | |
style_description |
||
style_id |
||
style_name |
||
subject_description |
||
subject_id |
||
subject_image_media |
||
subject_image_url |
||
subject_lora_weight |
number | |
tone |
||
tool |
||
updated_at |
string(date-time) | |
width |
integer |
GenerationSocketEventType¶
Type: string
GenerationStatus¶
Type: string
GenerationStrategy¶
Type: string
GenerationTool¶
Type: string
GenerationType¶
Type: string
MediaInput¶
| Name | Type | Description |
|---|---|---|
alt_text |
||
caption |
||
color_profile |
||
dominant_color |
||
duration |
||
height |
||
media_resource_id |
||
protected |
boolean | |
url |
||
width |
MediaResourcePublic¶
| Name | Type | Description |
|---|---|---|
alt_text |
||
aspect_ratio |
||
caption |
||
color_profile |
||
content_hash |
string | |
created_at |
string(date-time) | |
dominant_color |
||
duration |
||
extension |
string | |
file_size |
integer | |
height |
||
id |
string(uuid) | |
orientation |
||
protected |
boolean | |
resource_type |
MediaResourceType | |
url |
string | |
width |
MediaResourceType¶
Type: string
PredictionPublic¶
| Name | Type | Description |
|---|---|---|
created_at |
string(date-time) | |
duration_seconds |
||
error_category |
||
error_message |
||
favourite |
boolean | |
generation_id |
string(uuid) | |
id |
string(uuid) | |
refined_image_url |
Computed field for backward compatibility. Returns the most recent successful refine's result_image_url. | |
refines |
Array<RefinePublic> | |
result_image_media |
||
result_image_url |
||
result_video_media |
||
result_video_url |
||
seed |
integer | |
shot_type |
||
status |
PredictionStatus | |
updated_at |
string(date-time) |
PredictionStatus¶
Type: string
PushStatus¶
Type: string
RefinePublic¶
| Name | Type | Description |
|---|---|---|
created_at |
string(date-time) | |
error_category |
||
error_message |
||
height |
||
id |
string(uuid) | |
prediction_id |
string(uuid) | |
prompt |
||
refine_model_id |
||
refines_refine_id |
||
result_image_media |
||
result_image_url |
||
scale_factor |
||
status |
RefineStatus | |
task_id |
||
updated_at |
string(date-time) | |
width |
RefineStatus¶
Type: string
RevisionSource¶
Type: string
ShotMessage¶
| Name | Type | Description |
|---|---|---|
payload |
ShotPublic | |
type |
ShotSocketEventType |
ShotPublic¶
| Name | Type | Description |
|---|---|---|
created_at |
string(date-time) | |
current_revision_id |
||
id |
string(uuid) | |
pose_preset_id |
||
revisions |
Array<ShotRevisionPublic> | |
rework_available |
integer | |
rework_used |
integer | |
shooting_look_id |
||
shot_type |
||
status |
ShotStatus | |
updated_at |
string(date-time) |
ShotRevisionImagePublic¶
| Name | Type | Description |
|---|---|---|
autogenerated |
boolean | |
created_at |
string(date-time) | |
effective_image_url |
||
id |
string(uuid) | |
image_media |
||
image_url |
||
notes |
||
prediction_id |
||
refine_id |
||
shot_revision_id |
string(uuid) | |
sketch_image_media |
||
sketch_image_url |
||
source_type |
RevisionSource | |
updated_at |
string(date-time) |
ShotRevisionPublic¶
| Name | Type | Description |
|---|---|---|
created_at |
string(date-time) | |
display_name |
string | |
effective_image_url |
||
id |
string(uuid) | |
images |
Array<ShotRevisionImagePublic> | |
notes |
||
owner |
||
owner_id |
||
previous_revision_id |
||
push_records |
Array<ExternalImagePushPublic> | |
push_status |
Aggregate push status across all integrations. Returns: None (no pushes), PENDING, IN_PROGRESS, AWAITING_CONFIRMATION, COMPLETED, or FAILED Priority: FAILED > IN_PROGRESS > AWAITING_CONFIRMATION > PENDING > COMPLETED | |
shot_id |
string(uuid) | |
shot_revision_status |
||
shot_status |
ShotStatus | |
updated_at |
string(date-time) | |
version |
integer |
ShotRevisionStatus¶
Type: string
ShotSocketEventType¶
Type: string
ShotStatus¶
Type: string
ShotTypeFraming¶
Type: string
ShotTypePublic¶
| Name | Type | Description |
|---|---|---|
core_focus |
boolean | |
created_at |
string(date-time) | |
default_shot_type |
||
file_naming_convention |
||
framing |
ShotTypeFraming | |
id |
string(uuid) | |
margins |
||
name |
string | |
organization_id |
||
owner_id |
||
prompt |
||
prompt_builder_section |
||
public |
boolean | |
reference_image |
||
reference_image_url |
||
shot_type_prompt_instruction |
||
shot_type_ref_image_url |
||
updated_at |
string(date-time) | |
view_angle |
ViewAngle |
UserSummary¶
| Name | Type | Description |
|---|---|---|
email |
string(email) | |
full_name |
||
id |
string(uuid) |
ViewAngle¶
Type: string
WebSocketMessage¶
| Name | Type | Description |
|---|---|---|
data |
Security schemes¶
| Name | Type | Scheme | Description |
|---|---|---|---|
| OAuth2PasswordBearer | oauth2 |